/* ===================================================================== */
/*
 * This file is part of MOSIC (R). MOSIC is a System@tic project.
 * 
 * MOSIC is derivative work based on CARDAMOM (R). CARDAMOM is jointly
 * developed by THALES and SELEX SISTEMI INTEGRATI.
 * CARDAMOM is derivative work based on PERCO.
 * Copyright (C) THALES 2000-2010. All rights reserved.
 * 
 * CARDAMOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with CARDAMOM; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/* ===================================================================== */
package cdmw.ccm.cif;

/**
 *
 */
public class ComponentIdentity {
    
    protected String component_server_id = "";
    protected String component_name = "";
    

    
    public ComponentIdentity(String component_name, String component_server_id) {
        this.component_name = component_name;
        this.component_server_id = component_server_id;
    }
    
    public ComponentIdentity(){
        
    }
    
    public String toString(){
        String id = new String(this.component_server_id);
        id+="#";
        id+=this.component_name;
        
        return id;
    }
    
    static public String toString(String component_name, String component_server_id){
        return (component_server_id+"#"+component_name);        
    }
    
    

}
