/* ===================================================================== */
/*
 * This file is part of MOSIC (R). MOSIC is a System@tic project.
 * 
 * MOSIC is derivative work based on CARDAMOM (R). CARDAMOM is jointly
 * developed by THALES and SELEX SISTEMI INTEGRATI.
 * CARDAMOM is derivative work based on PERCO.
 * Copyright (C) THALES 2000-2010. All rights reserved.
 * 
 * CARDAMOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with CARDAMOM; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/* ===================================================================== */


#include "testrecording/CCM_ClientHome_impl.hpp"
#include "testrecording/CCM_Client_impl.hpp"

//
// IDL:thalesgroup.com/RecordingTest:1.0
//

extern "C" {

//
// create a new client home
//
  RecordingTest::CCM_ClientHome_impl* create_CCM_ClientHome()
{
  return new RecordingTest::CCM_ClientHome_impl();
};

};  // End extern C


//
// IDL:thalesgroup.com/RecordingTest/CCM_ClientHome:1.0
//
RecordingTest::CCM_ClientHome_impl::CCM_ClientHome_impl()
{
}

RecordingTest::CCM_ClientHome_impl::~CCM_ClientHome_impl()
{
}

//
// IDL:thalesgroup.com/RecordingTest/CCM_ClientHomeImplicit/create:1.0
//
RecordingTest::CCM_Client_ptr
RecordingTest::CCM_ClientHome_impl::create()
    throw (CORBA::SystemException, Components::CCMException)
{
  // creation of a new component in the client home
  return new CCM_Client_impl();
}




