/* ===================================================================== */
/*
 * This file is part of MOSIC (R). MOSIC is a System@tic project.
 * 
 * MOSIC is derivative work based on CARDAMOM (R). CARDAMOM is jointly
 * developed by THALES and SELEX SISTEMI INTEGRATI.
 * CARDAMOM is derivative work based on PERCO.
 * Copyright (C) THALES 2000-2010. All rights reserved.
 * 
 * CARDAMOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with CARDAMOM; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/* ===================================================================== */

#include "EmptyCOPIs.hpp"

namespace {


} // End anonymous space


namespace Cdmw {

namespace CCM {

namespace COPI {


DummyClientContainerInterceptor_impl::DummyClientContainerInterceptor_impl(std::string name)
    : m_COPIname(name) 
{
  m_priority = 0;
  m_port = "";
  m_operation = "";
};

DummyClientContainerInterceptor_impl::DummyClientContainerInterceptor_impl(std::string name, short p, std::string port, std::string operation)
: m_COPIname(name), m_priority(p), m_port(port), m_operation(operation) 
{};


// Implementation skeleton destructor
DummyClientContainerInterceptor_impl::~DummyClientContainerInterceptor_impl (void)
{
}

void DummyClientContainerInterceptor_impl::send_request (
    ::Components::ContainerPortableInterceptor::ContainerClientRequestInfo_ptr info
  )
  throw (
    ::CORBA::SystemException,
    ::PortableInterceptor::ForwardRequest
  )
{
  // Add your implementation here
}

void DummyClientContainerInterceptor_impl::send_poll (
    ::Components::ContainerPortableInterceptor::ContainerClientRequestInfo_ptr info
  )
  throw (
    ::CORBA::SystemException
  )
{
  // Add your implementation here
}

void DummyClientContainerInterceptor_impl::receive_reply (
    ::Components::ContainerPortableInterceptor::ContainerClientRequestInfo_ptr info
  )
  throw (
    ::CORBA::SystemException
  )
{
  // Add your implementation here
}

void DummyClientContainerInterceptor_impl::receive_exception (
    ::Components::ContainerPortableInterceptor::ContainerClientRequestInfo_ptr info
  )
  throw (
    ::CORBA::SystemException,
    ::PortableInterceptor::ForwardRequest
  )
{
  // Add your implementation here
}

void DummyClientContainerInterceptor_impl::receive_other (
    ::Components::ContainerPortableInterceptor::ContainerClientRequestInfo_ptr info
  )
  throw (
    ::CORBA::SystemException,
    ::PortableInterceptor::ForwardRequest
  )
{
  // Add your implementation here
}

char * DummyClientContainerInterceptor_impl::name (
    
  )
  throw (
    ::CORBA::SystemException
  )
{
  // Add your implementation here
  return 0;
}

::CORBA::UShort DummyClientContainerInterceptor_impl::priority (
    
  )
  throw (
    ::CORBA::SystemException
  )
{
  return this->m_priority;
}

::Components::ContainerPortableInterceptor::IntegrationPoint * DummyClientContainerInterceptor_impl::registration_info (
    
  )
  throw (
    ::CORBA::SystemException
  )
{
  // Add your implementation here
  return 0;

}

void DummyClientContainerInterceptor_impl::destroy (
    
  )
  throw (
    ::CORBA::SystemException
  )
{
  // Add your implementation here
}

void DummyClientContainerInterceptor_impl::set_slot_id (
    ::PortableInterceptor::SlotId slot_id
  )
  throw (
    ::CORBA::SystemException
  )
{
  // Add your implementation here
}



} // End namespace CIF

} // End namespace CCM

} // End namespce COPI
