/* ===================================================================== */
/*
 * This file is part of MOSIC (R). MOSIC is a System@tic project.
 * 
 * MOSIC is derivative work based on CARDAMOM (R). CARDAMOM is jointly
 * developed by THALES and SELEX SISTEMI INTEGRATI.
 * CARDAMOM is derivative work based on PERCO.
 * Copyright (C) THALES 2000-2010. All rights reserved.
 * 
 * CARDAMOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with CARDAMOM; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/* ===================================================================== */


#include "ActivatedEventFactory_impl.hpp"

// Enty points

extern "C" {
    
    CORBA::ValueFactoryBase* create_activated_event_factory () {
        return new TestComponents::ActivatedEventFactory_impl();
    }
};



// Constructor
TestComponents::ActivatedEvent_impl::ActivatedEvent_impl ()
{
}

// Copy Constructor
TestComponents::ActivatedEvent_impl::ActivatedEvent_impl (const ActivatedEvent_impl& right)
{
}

// Destructor
TestComponents::ActivatedEvent_impl::~ActivatedEvent_impl ()
{
}

CORBA::ValueBase*
TestComponents::ActivatedEvent_impl::_copy_value()
{
    TestComponents::ActivatedEvent_impl* result = new ActivatedEvent_impl();
    return result;
}

/******************************/
/*         Factory            */
/******************************/


TestComponents::ActivatedEventFactory_impl::ActivatedEventFactory_impl()
{
}

TestComponents::ActivatedEventFactory_impl::~ActivatedEventFactory_impl()
{
}

CORBA::ValueBase *
TestComponents::ActivatedEventFactory_impl::create_for_unmarshal ()
{
    return new TestComponents::ActivatedEvent_impl();
}


