package cdmw.ccm.testqosenabler_dds4ccm;

import org.junit.Test;
import org.omg.Components.RemoveFailure;

import com.acme.Hello.Composant;
import com.acme.Hello.Donnee_MyConnector_DDS_Get;
import com.acme.Hello.Donnee_MyConnector_DDS_RawListen;
import com.acme.Hello.Donnee_MyConnector_DDS_StateListen;
import com.acme.Hello.Donnee_MyConnector_DDS_Update;
import com.acme.Hello.Donnee_MyConnector_DDS_Write;

import cdmw.testutils.CORBATestManager;
import cdmw.testutils.TestManager;

public class TearDownTest {

    @Test
    public void doTests() {

        System.out
        .println("******************************************************");
        System.out
        .println("******************** TearDown ************************");
        System.out
        .println("******************************************************");


        CORBATestManager testManager = (CORBATestManager)TestManager.instance();

        Donnee_MyConnector_DDS_Write writecomp = (Donnee_MyConnector_DDS_Write) testManager.getLocalProperty(
                "cdmw.ccm.testqosenabler_dds4ccm.writecomp");

        Donnee_MyConnector_DDS_Get getcomp = (Donnee_MyConnector_DDS_Get) testManager.getLocalProperty(
        "cdmw.ccm.testqosenabler_dds4ccm.getcomp");

        Donnee_MyConnector_DDS_RawListen rawcomp = (Donnee_MyConnector_DDS_RawListen) testManager.getLocalProperty(
        "cdmw.ccm.testqosenabler_dds4ccm.rawcomp");

        Donnee_MyConnector_DDS_Update upcomp = (Donnee_MyConnector_DDS_Update) testManager.getLocalProperty(
        "cdmw.ccm.testqosenabler_dds4ccm.upcomp");

        Donnee_MyConnector_DDS_StateListen statecomp = (Donnee_MyConnector_DDS_StateListen) testManager.getLocalProperty(
        "cdmw.ccm.testqosenabler_dds4ccm.statecomp");

        Composant composantComp = (Composant) testManager.getLocalProperty(
        "cdmw.ccm.testqosenabler_dds4ccm.composantComp");


        try {
            writecomp.remove();
            getcomp.remove();
            rawcomp.remove();
            upcomp.remove();
            statecomp.remove();
            composantComp.remove();
        } catch (RemoveFailure e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }









    }

}
