/* ===================================================================== */
/*
 * This file is part of MOSIC (R). MOSIC is a System@tic project.
 * 
 * MOSIC is derivative work based on CARDAMOM (R). CARDAMOM is jointly
 * developed by THALES and SELEX SISTEMI INTEGRATI.
 * CARDAMOM is derivative work based on PERCO.
 * Copyright (C) THALES 2000-2010. All rights reserved.
 * 
 * CARDAMOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with CARDAMOM; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/* ===================================================================== */

#ifndef INCL_CDMW_TEST_HELLO_THREAD_HPP
#define INCL_CDMW_TEST_HELLO_THREAD_HPP


#include <string>

#include <Foundation/osthreads/Thread.hpp>
#include <Foundation/orbsupport/CORBA.hpp>


namespace Cdmw
{

namespace Test
{
class HelloTest;

class HelloThread : public OsSupport::Thread 
{
    friend class Cdmw::Test::HelloTest;
public:
        
    HelloThread();
     
    ~HelloThread() throw();


protected:

    void
    run() throw();
        

       
}; // end of class HelloThread

} // end of namespace Test

} // end of namespace Cdmw

#endif // INCL_CDMW_TEST_HELLO_THREAD_HPP
