# =====================================================================
# This file is part of CARDAMOM (R) which is jointly developed by THALES
# and SELEX Sistemi Integrati. It is derivative work based on PERCO 
# Copyright (C) THALES 2000-2003. All rights reserved.
# Copyright (C) THALES 2004-2005. All rights reserved.
# Copyright (C) SELEX SISTEMI INTEGRATI and THALES 2006-2007. 
# All rights reserved.
# Copyright (C) THALES 2008-2010. All rights reserved.
# 
# CARDAMOM is free software; you can redistribute it and/or modify it
# under the terms of the GNU Library General Public License as published
# by the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public
# License for more details.
# 
# You should have received a copy of the GNU Library General Public
# License along with CARDAMOM; see the file COPYING. If not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# =====================================================================

# -------------------------------------------------------------------------------
# BEGIN CDMW INSTALLATION DATA
# -------------------------------------------------------------------------------
# CDMW installation folder
export CDMW_HOME ?= /home/CARDAMOM/NotSaved/barth/1/mosic

export SAXON_JAR_PATH=/tools/exec/saxon-6.5.3
OPENCCM_BIN_PATH=${OPENCCM_HOME}/bin

# export CDMW_JAVA_ORB ?= JacORB

FTP_DIR=@config.Ftp.homedir@
ifeq (JacORB,JacORB)
ORB=JacORB
JACORB_IDL_PATH=/tools/exec/jacorb-OF-2.3.0.3-080520/idl
JACORB_JAR_PATH=/tools/exec/jacorb-OF-2.3.0.3-080520/lib/endorsed
JACORB_BIN_PATH=/tools/exec/jacorb-OF-2.3.0.3-080520/bin
TAO_IDL_PATH=$(ACE_ROOT)/include/orbsvcs
export ORB_IDL_SEARCHDIR ?= -I/tools/exec/TAO151_1_081009/include/tao/IFR_Client -I/tools/exec/TAO151_1_081009/include
endif

# -------------------------------------------------------------------------------
# END CDMW INSTALLATION DATA
# -------------------------------------------------------------------------------
