# =====================================================================
# This file is part of MOSIC (R). MOSIC is a System@tic project.
# 
# MOSIC is derivative work based on CARDAMOM (R). CARDAMOM is jointly
# developed by THALES and SELEX SISTEMI INTEGRATI.
# CARDAMOM is derivative work based on PERCO.
# Copyright (C) THALES 2009-2010. All rights reserved.
# 
# CARDAMOM is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
# License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with CARDAMOM; see the file COPYING. If not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# =====================================================================
echo "<<<<<<<<<<<<< Default Snapshot System/Applicaiton/Process(Managed/Unmanaged)  <<<<<<<<<<<"
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --sys-snapshot show-attr > Default_sys_snapshot
sleep 3 
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --app-snapshot APPL1 show-attr > Default_app_snapshot 
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-snapshot APPL1 P11 ${CDMW_HOSTNAME_2} show-attr > Default_proc_man_snapshot
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-snapshot APPL1 P13U ${CDMW_HOSTNAME_2} show-attr > Default_proc_unman_snapshot

echo "<<<<<<<<<<<<< SYSTEM HOT/COLD RESTART <<<<<<<<<<<"
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --sys-remove-entity SYSTEM_ENTITY
sleep 1
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --sys-remove-property SYSTEM_PROPERTY
sleep 1 
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --sys-snapshot show-attr  
sleep 1
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --sys-hot-restart
sleep 7 
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --sys-snapshot show-attr > Hot_sys_snapshot
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --sys-cold-restart 
sleep 7
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --sys-snapshot show-attr >  Cold_sys_snapshot
sleep 3


echo "<<<<<<<<<<<<< HOT/COLD RESTART ON APPLICATION <<<<<<<<<<<"
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --app-remove-entity APPL1 APPLICATION_ENTITY
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --app-remove-property APPL1 APPLICATION_PROPERTY
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --app-snapshot APPL1 show-attr
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --app-hot-restart APPL1
sleep 5
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --app-snapshot APPL1 show-attr > Hot_app_snapshot
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --app-cold-restart APPL1
sleep 5
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --app-snapshot APPL1 show-attr > Cold_app_snapshot
sleep 3



echo "<<<<<<<<<<<<< HOT/COLD RESTART ON MANAGED PROCESS <<<<<<<<<<<"
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-remove-entity APPL1 P11  ${CDMW_HOSTNAME_2} MAN_PROCESS_ENTITY
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-remove-property APPL1 P11  ${CDMW_HOSTNAME_2} MAN_PROCESS_PROPERTY
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-snapshot APPL1 P11  ${CDMW_HOSTNAME_2} show-attr
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-hot-restart APPL1 P11  ${CDMW_HOSTNAME_2}
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-snapshot APPL1 P11  ${CDMW_HOSTNAME_2} show-attr >  Hot_proc_man_snapshot
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-cold-restart APPL1  P11  ${CDMW_HOSTNAME_2}
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-snapshot APPL1  P11  ${CDMW_HOSTNAME_2} show-attr > Cold_proc_man_snapshot
sleep 3


echo "<<<<<<<<<<<<< HOT/COLD RESTART ON UNMANAGED PROCESS <<<<<<<<<<<"
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-remove-property APPL1 P13U  ${CDMW_HOSTNAME_2} UNMAN_PROCESS_PROPERTY
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-snapshot APPL1 P13U  ${CDMW_HOSTNAME_2} show-attr
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-hot-restart APPL1 P13U  ${CDMW_HOSTNAME_2}
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-snapshot APPL1 P13U  ${CDMW_HOSTNAME_2} show-attr >  Hot_proc_unman_snapshot
sleep 3 
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-cold-restart APPL1  P13U  ${CDMW_HOSTNAME_2}
sleep 3
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --proc-snapshot APPL1 P13U  ${CDMW_HOSTNAME_2} show-attr > Cold_proc_unman_snapshot
sleep 3


echo  "<<<<<<<<<<<<< HOT/COLD REBOOT ON HOST <<<<<<<<<<<"
cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --host-hot-reboot ${CDMW_HOSTNAME_2} 
sleep 240 

cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --sys-snapshot show-attr > Hot_host_reboot 
sleep 5

cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --host-cold-reboot ${CDMW_HOSTNAME_2}
sleep 240 

cdmw_platform_admin --system-corbaloc=corbaloc::$HOSTNAME:21869/CdmwPlatformMngtSupervision --sys-snapshot show-attr > Cold_host_reboot

