#!/bin/sh
# =====================================================================
# This file is part of MOSIC (R). MOSIC is a System@tic project.
# 
# MOSIC is derivative work based on CARDAMOM (R). CARDAMOM is jointly
# developed by THALES and SELEX SISTEMI INTEGRATI.
# CARDAMOM is derivative work based on PERCO.
# Copyright (C) THALES 2009-2010. All rights reserved.
# 
# CARDAMOM is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
# License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with CARDAMOM; see the file COPYING. If not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# =====================================================================

if [ "${CDMW_PACKAGES_LIST}" = "CORE_FT" ]; then
    features="package_CORE_FT=1,package_DEFAULT=0,package_DEFAULT_FT=0"
fi

if [ "${CDMW_PACKAGES_LIST}" = "DEFAULT" ]; then
    features="package_CORE_FT=0,package_DEFAULT=1,package_DEFAULT_FT=0"
fi

if [ "${CDMW_PACKAGES_LIST}" = "DEFAULT_FT" ]; then
    features="package_CORE_FT=0,package_DEFAULT=0,package_DEFAULT_FT=1"
fi


${ACE_ROOT}/bin/mwc.pl \
       -include $CDMW_HOME/Build/MPC/config/common           \
       -include $CDMW_HOME/Build/MPC/config/build            \
       -include $CDMW_HOME/Build/MPC/config/tests            \
       -include $CDMW_HOME/Build/MPC/config                  \
       -features ${features}                                 \
       -template prism                                       \
       CDMW.mwc  2>&1  | grep -v "Use of uninitialized value"         # suppress warnings (cause not known but not provoking failures...)


