# =====================================================================
# This file is part of MOSIC (R). MOSIC is a System@tic project.
# 
# MOSIC is derivative work based on CARDAMOM (R). CARDAMOM is jointly
# developed by THALES and SELEX SISTEMI INTEGRATI.
# CARDAMOM is derivative work based on PERCO.
# Copyright (C) THALES 2009-2010. All rights reserved.
# 
# CARDAMOM is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
# License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with CARDAMOM; see the file COPYING. If not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# =====================================================================

## By default, uses the ACE-TAO's platform_macros.GNU
include $(ACE_ROOT)/include/makeinclude/platform_macros.GNU

## But override some flags if needed
optimize=$(CDMW_CPP_OPTIM)
debug=$(CDMW_CPP_DEBUG)

## warning: Codegen/c++/src/engine requires the same inline flag that ACE/TAO
## this is because some code here is copied from TAO, and thus can't link with 
## ACE/TAO libs if the same "-D*INLINE*" flags haven't been used.
# inline=1  


