/* ===================================================================== */
/*
 * This file is part of MOSIC (R). MOSIC is a System@tic project.
 * 
 * MOSIC is derivative work based on CARDAMOM (R). CARDAMOM is jointly
 * developed by THALES and SELEX SISTEMI INTEGRATI.
 * CARDAMOM is derivative work based on PERCO.
 * Copyright (C) THALES 2000-2010. All rights reserved.
 * 
 * CARDAMOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with CARDAMOM; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/* ===================================================================== */


#ifndef HELLOMODULE_HELLO_IMPL_HPP
#define HELLOMODULE_HELLO_IMPL_HPP


#include <iostream>
#include <Foundation/orbsupport/RefCountLocalObject.hpp>
#include "generated/testccmcopi/hello.skel.hpp"



namespace HelloModule {

    class Hello_impl : virtual public POA_HelloModule::Hello
    //virtual public Cdmw::OrbSupport::RefCountServantBase
{
public:
  // Constructor 
        Hello_impl();
  
  // Destructor 
        ~Hello_impl() throw();

        virtual void
        echo(const char* msg)
            throw (
                   CORBA::SystemException
                   );


    private:
        Hello_impl(const Hello_impl&);
        void operator=(const Hello_impl&);
    };
}

#endif // HELLIMODULE_HELLO_IMPL_HPP

