package cdmw.ccm.testqosenabler_dds4ccm;

import org.junit.Assert;
import org.junit.Test;
import org.omg.CCM_DDS.InternalError;

import cdmw.testutils.CORBATestManager;
import cdmw.testutils.TestManager;
import static org.junit.Assert.fail;

public class WriteTest {


    @Test
    public void doTests() {

        System.out
        .println("******************************************************");
        System.out
        .println("**************** DDS_Write Fragment ******************");
        System.out
        .println("******************************************************");


        CORBATestManager testManager = (CORBATestManager)TestManager.instance();


        com.acme.Hello.Donnee_Writer writer = null;


        Assert.assertTrue(testManager != null);

        writer = (com.acme.Hello.Donnee_Writer)testManager.getLocalProperty(
        "cdmw.ccm.testqosenabler_dds4ccm.p_Write_data");

        Assert.assertNotNull(writer);


        com.acme.Hello.Donnee an_instance = new com.acme.Hello.Donnee();
        an_instance.ID = 1;
        an_instance.msg = "testU";

        try {
            writer.write(an_instance);
        } catch (InternalError e) {
            e.printStackTrace();
            fail("Writer Error ! Error code = " + e.error_code);
        }
        
        System.out.println("Message send");

        System.out.println("Writer OK");


    }

}
