/* ===================================================================== */
/*
 * This file is part of MOSIC (R). MOSIC is a System@tic project.
 * 
 * MOSIC is derivative work based on CARDAMOM (R). CARDAMOM is jointly
 * developed by THALES and SELEX SISTEMI INTEGRATI.
 * CARDAMOM is derivative work based on PERCO.
 * Copyright (C) THALES 2009-2010. All rights reserved.
 * 
 * CARDAMOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with CARDAMOM; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/* ===================================================================== */
import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;


import org.omg.CosNaming.NamingContextExt;
import org.omg.CosNaming.NamingContextExtHelper;

import com.acme.Hello.Donnee;
import com.acme.Hello.DonneeHolder;
import com.acme.Hello.Send_Donnee;
import com.acme.Hello.Send_DonneeHelper;



public class Client {

    public static void main(String args[]) {

        try {
            Send_Donnee send_donnee = null;

            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(args, null);



            NamingContextExt nc =
                NamingContextExtHelper.narrow(
                        orb.resolve_initial_references("NameService"));

            org.omg.CORBA.Object o =
                nc.resolve(nc.to_name("MyNode/ccm020-java.DeploymentPlan/Composant/send_donnee.Port"));

            send_donnee = Send_DonneeHelper.narrow(o);

            Donnee donnee = new Donnee();
            donnee.ID = 2;
            donnee.msg = "XpoiIUeiun5546ze";
            send_donnee.send(donnee);
            orb.shutdown(true);
            orb.destroy();
            System.out.println("done. ");

        } catch (Exception e)  {
            e.printStackTrace();
        }
    }

}