#!/bin/sh
# =====================================================================
# This file is part of MOSIC (R). MOSIC is a System@tic project.
# 
# MOSIC is derivative work based on CARDAMOM (R). CARDAMOM is jointly
# developed by THALES and SELEX SISTEMI INTEGRATI.
# CARDAMOM is derivative work based on PERCO.
# Copyright (C) THALES 2009-2010. All rights reserved.
# 
# CARDAMOM is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
# License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with CARDAMOM; see the file COPYING. If not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# =====================================================================
if [ $# -eq 0 ]
then
    echo "$0: set policy ENFORCE_INTERVAL or ENFORCE_DEADLINE"
    exit 1
fi
#xterm -hold -bg AliceBlue -ls -sb -sl 1000 -geometry 50X10+000+000 -exec ./start_time_jadmins.sh  --CdmwClockServicePort=60995 &
sleep 1
xterm -hold -bg AliceBlue -ls -sb -sl 1000 -geometry 50X10+330+000 -exec ./start_time_jadmins.sh  --CdmwClockServicePort=60997 &
echo "*****************************************************"
echo "                 start time admins                  "
echo "*****************************************************"
echo " ..... Hit a key  "
read FOO
echo "*****************************************************"
echo "                 start time readers                 "
echo "*****************************************************"

#xterm -bg aquamarine -ls -sb -sl 1000 -geometry 50X10+000+160 -exec ./start_time_jreaders.sh -ORBInitRef  ClockService=corbaloc::localhost:60995/ClockService &
sleep 1
xterm -bg aquamarine -ls -sb -sl 1000 -geometry 50X10+330+160 -exec ./start_time_jreaders.sh -ORBInitRef  ClockService=corbaloc::localhost:60997/ClockService &

echo "*****************************************************"
echo "..... Hit a key  "
echo "*****************************************************"
read FOO

if [ "$1" == "ENFORCE_INTERVAL" ]
then
    enforce_interval.sh
else
    enforce_deadline.sh
fi
#xterm -bg LightYellow -ls -sb -sl 1000 -geometry 50X10+000+320  -exec  ./start_time_jtimeouthandler.sh --CdmwClockName="FederatedControlledExecutor" --TimerPolicy=ENFORCE_DEADLINE  -ORBInitRef  ClockService=corbaloc::localhost:60997/ClockService &
#xterm -bg LightYellow -ls -sb -sl 1000 -geometry 50X10+330+320  -exec ./start_time_jtimeouthandler.sh --CdmwClockName="FederatedControlledExecutor" --TimerPolicy=ENFORCE_DEADLINE  -ORBInitRef  ClockService=corbaloc::localhost:60995/ClockService &
#xterm -bg LightYellow -ls -sb -sl 1000 -geometry 50X10+000+520  -exec  ./start_time_jtimeouthandler.sh --CdmwClockName="FederatedControlledExecutor" --TimerPolicy=ENFORCE_INTERVAL  -ORBInitRef  ClockService=corbaloc::localhost:60997/ClockService &
#xterm -bg LightYellow -ls -sb -sl 1000 -geometry 50X10+330+520  -exec ./start_time_jtimeouthandler.sh --CdmwClockName="FederatedControlledExecutor" --TimerPolicy=ENFORCE_INTERVAL  -ORBInitRef  ClockService=corbaloc::localhost:60995/ClockService &
read FOO
