#!/bin/sh
# =====================================================================
# This file is part of CARDAMOM (R) which is jointly developed by THALES
# and SELEX Sistemi Integrati. It is derivative work based on PERCO 
# Copyright (C) THALES 2000-2003. All rights reserved.
# Copyright (C) THALES 2004-2005. All rights reserved.
# Copyright (C) SELEX SISTEMI INTEGRATI and THALES 2006-2007. 
# All rights reserved.
# Copyright (C) THALES 2008-2010. All rights reserved.
# 
# CARDAMOM is free software; you can redistribute it and/or modify it
# under the terms of the GNU Library General Public License as published
# by the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# CARDAMOM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public
# License for more details.
# 
# You should have received a copy of the GNU Library General Public
# License along with CARDAMOM; see the file COPYING. If not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# =====================================================================

BINDIR=${CDMW_HOME}/bin
. $BINDIR/set_env.sh 
cd $BINDIR/../share

cp $BINDIR/testns_client1 $BINDIR/testns_client2

echo "iteration 1 -> press enter if sniffer on host1 is ready"
read answer

echo "starting client1 ${CDMW_HOSTNAME_1} ${CDMW_HOSTNAME_2} 0 "
$BINDIR/testns_client1 ${CDMW_HOSTNAME_1} ${CDMW_HOSTNAME_2} 0

echo "starting client2 ${CDMW_HOSTNAME_1} ${CDMW_HOSTNAME_2} 1 "
$BINDIR/testns_client2 ${CDMW_HOSTNAME_1} ${CDMW_HOSTNAME_2} 1

echo "iteration 2 -> press enter if sniffer on host1 is ready"
read answer

echo "starting client1 ${CDMW_HOSTNAME_1} ${CDMW_HOSTNAME_2} 0 "
$BINDIR/testns_client1 ${CDMW_HOSTNAME_1} ${CDMW_HOSTNAME_2} 0

echo "starting client2 ${CDMW_HOSTNAME_1} ${CDMW_HOSTNAME_2} 1 "
$BINDIR/testns_client2 ${CDMW_HOSTNAME_1} ${CDMW_HOSTNAME_2} 1

echo "iteration 3 -> press enter if sniffer on host1 is ready"
read answer

echo "starting client1 ${CDMW_HOSTNAME_1} ${CDMW_HOSTNAME_2} 0 "
$BINDIR/testns_client1 ${CDMW_HOSTNAME_1} ${CDMW_HOSTNAME_2} 0

echo "starting client2 ${CDMW_HOSTNAME_1} ${CDMW_HOSTNAME_2} 1 "
$BINDIR/testns_client2 ${CDMW_HOSTNAME_1} ${CDMW_HOSTNAME_2} 1



